跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
marketData
代币 - 市值
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/marketData \
  --header 'Authorization: Bearer <token>'
{
  "bluechipHoldingsRatio": "0.05",
  "bluechipTotalHolders": "10",
  "bluechipTotalHoldings": "50000",
  "bundleHoldingsRatio": "0.018",
  "bundleTotalHolders": "12",
  "bundleTotalHoldings": "18000",
  "completionRatio": "1.0",
  "devHoldingsRatio": "0.005",
  "devTotalHolders": "3",
  "devTotalHoldings": "5000",
  "freshHoldingsRatio": "0.01",
  "freshTotalHolders": "30",
  "freshTotalHoldings": "10000",
  "holders": "1000",
  "insiderHoldingsRatio": "0.02",
  "insiderTotalHolders": "5",
  "insiderTotalHoldings": "20000",
  "kolHoldingsRatio": "0.03",
  "kolTotalHolders": "20",
  "kolTotalHoldings": "30000",
  "marketCapInSol": "100000",
  "marketCapInUsd": "100000",
  "maxPoolTvlInSol": "1000.45",
  "maxPoolTvlInUsd": "150000.00",
  "priceInSol": "0.00000261383847574915906643405542",
  "priceInUsd": "0.00000261383847574915906643405542",
  "proHoldingsRatio": "0.04",
  "proTotalHolders": "25",
  "proTotalHoldings": "40000",
  "sandwishHoldingsRatio": "0.015",
  "sandwishTotalHolders": "8",
  "sandwishTotalHoldings": "15000",
  "sniperHoldingsRatio": "0.025",
  "sniperTotalHolders": "15",
  "sniperTotalHoldings": "25000",
  "top100HoldingsRatio": "0.8",
  "top100TotalHoldings": "800000",
  "top10HoldingsRatio": "0.5",
  "top10TotalHoldings": "500000",
  "top50HoldingsRatio": "0.3",
  "top50TotalHoldings": "300000",
  "totalSupply": "1000000",
  "totalTvlInSol": "1000000.45",
  "totalTvlInUsd": "1000000.45"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

响应

200 - application/json

获取市值

Token market data

bluechipHoldingsRatio
string | null
示例:

"0.05"

bluechipTotalHolders
string | null
示例:

"10"

bluechipTotalHoldings
string | null
示例:

"50000"

bundleHoldingsRatio
string | null
示例:

"0.018"

bundleTotalHolders
string | null
示例:

"12"

bundleTotalHoldings
string | null
示例:

"18000"

completionRatio
string | null
示例:

"1.0"

devHoldingsRatio
string | null
示例:

"0.005"

devTotalHolders
string | null
示例:

"3"

devTotalHoldings
string | null
示例:

"5000"

freshHoldingsRatio
string | null
示例:

"0.01"

freshTotalHolders
string | null
示例:

"30"

freshTotalHoldings
string | null
示例:

"10000"

holders
string | null
示例:

"1000"

insiderHoldingsRatio
string | null
示例:

"0.02"

insiderTotalHolders
string | null
示例:

"5"

insiderTotalHoldings
string | null
示例:

"20000"

kolHoldingsRatio
string | null
示例:

"0.03"

kolTotalHolders
string | null
示例:

"20"

kolTotalHoldings
string | null
示例:

"30000"

marketCapInSol
string | null
示例:

"100000"

marketCapInUsd
string | null
示例:

"100000"

maxPoolTvlInSol
string | null
示例:

"1000.45"

maxPoolTvlInUsd
string | null
示例:

"150000.00"

priceInSol
string | null
示例:

"0.00000261383847574915906643405542"

priceInUsd
string | null
示例:

"0.00000261383847574915906643405542"

proHoldingsRatio
string | null
示例:

"0.04"

proTotalHolders
string | null
示例:

"25"

proTotalHoldings
string | null
示例:

"40000"

sandwishHoldingsRatio
string | null
示例:

"0.015"

sandwishTotalHolders
string | null
示例:

"8"

sandwishTotalHoldings
string | null
示例:

"15000"

sniperHoldingsRatio
string | null
示例:

"0.025"

sniperTotalHolders
string | null
示例:

"15"

sniperTotalHoldings
string | null
示例:

"25000"

top100HoldingsRatio
string | null
示例:

"0.8"

top100TotalHoldings
string | null
示例:

"800000"

top10HoldingsRatio
string | null
示例:

"0.5"

top10TotalHoldings
string | null
示例:

"500000"

top50HoldingsRatio
string | null
示例:

"0.3"

top50TotalHoldings
string | null
示例:

"300000"

totalSupply
string | null
示例:

"1000000"

totalTvlInSol
string | null
示例:

"1000000.45"

totalTvlInUsd
string | null
示例:

"1000000.45"